<template>

</template>

<script>
export default {
    name: "Topbar",

    data(){
        return{
            body: $('body'),
            window: $(window),
        }
    },

    methods:{
        /**
         * Initilizes the menu
         */
        initMenu() {
            // Serach Toggle
            $('#top-search').on('click', function (e) {
                $('#search-dropdown').addClass('d-block');
            });

            // hide search on opening other dropdown
            $('.topbar-dropdown').on('show.bs.dropdown', function () {
                $('#search-dropdown').removeClass('d-block');
            });

            //activate the menu in topbar(horizontal menu) based on url
            $(".navbar-nav a").each(function () {
                var pageUrl = window.location.href.split(/[?#]/)[0];
                if (this.href == pageUrl) {
                    $(this).addClass("active");
                    $(this).parent().addClass("active");
                    $(this).parent().parent().addClass("active");
                    $(this).parent().parent().parent().addClass("active");
                    $(this).parent().parent().parent().parent().addClass("active");
                    var el = $(this).parent().parent().parent().parent().addClass("active").prev();
                    if (el.hasClass("nav-link"))
                        el.addClass('active');
                }
            });

            // Topbar - main menu
            $('.navbar-toggle').on('click', function (event) {
                $(this).toggleClass('open');
                $('#navigation').slideToggle(400);
            });
        },

        /**
         * Changes the color of topbar
         * @param {*} color
         */
        changeColor(color) {
            this.body.attr('data-topbar-color', color);
            this.parent.updateConfig("topbar", { "color": color });
        },

        /**
         * Initilizes the menu
         */
        init() {
            this.initMenu();
        },
    },
}
</script>

<style scoped>

</style>
